<ng-container *ngIf="statisticsShots$ && statisticsShots$ | async; let statisticsShots; else loader">
  <table mat-table [dataSource]="statisticsShots">

    <ng-container matColumnDef="user">
      <th mat-header-cell *matHeaderCellDef> User </th>
      <td mat-cell *matCellDef="let record"> {{record.user}} </td>
    </ng-container>

    <ng-container matColumnDef="nice">
      <th mat-header-cell *matHeaderCellDef> Nice </th>
      <td mat-cell *matCellDef="let record"> {{record.nice}} </td>
    </ng-container>

    <ng-container matColumnDef="system">
      <th mat-header-cell *matHeaderCellDef> System </th>
      <td mat-cell *matCellDef="let record"> {{record.system}} </td>
    </ng-container>

    <ng-container matColumnDef="iowait">
      <th mat-header-cell *matHeaderCellDef> IOwait </th>
      <td mat-cell *matCellDef="let record"> {{record.iowait}} </td>
    </ng-container>

    <ng-container matColumnDef="steal">
      <th mat-header-cell *matHeaderCellDef> Steal </th>
      <td mat-cell *matCellDef="let record"> {{record.steal}} </td>
    </ng-container>

    <ng-container matColumnDef="idle">
      <th mat-header-cell *matHeaderCellDef> Idle </th>
      <td mat-cell *matCellDef="let record"> {{record.idle}} </td>
    </ng-container>

    <ng-container matColumnDef="disk_device">
      <th mat-header-cell *matHeaderCellDef> Disk device </th>
      <td mat-cell *matCellDef="let record"> {{record.disk_device}} </td>
    </ng-container>

    <ng-container matColumnDef="tps">
      <th mat-header-cell *matHeaderCellDef> Tps </th>
      <td mat-cell *matCellDef="let record"> {{record.tps}} </td>
    </ng-container>

    <ng-container matColumnDef="kB_read/s">
      <th mat-header-cell *matHeaderCellDef> kB_read/s </th>
      <td mat-cell *matCellDef="let record"> {{record["kB_read/s"]}} </td>
    </ng-container>

    <ng-container matColumnDef="kB_wrtn/s">
      <th mat-header-cell *matHeaderCellDef> kB_wrtn/s </th>
      <td mat-cell *matCellDef="let record"> {{record["kB_wrtn/s"] }} </td>
    </ng-container>

    <ng-container matColumnDef="kB_read">
      <th mat-header-cell *matHeaderCellDef> kB_read </th>
      <td mat-cell *matCellDef="let record"> {{record["kB_read"]}} </td>
    </ng-container>

    <ng-container matColumnDef="kB_wrtn">
      <th mat-header-cell *matHeaderCellDef> kB_wrtn </th>
      <td mat-cell *matCellDef="let record"> {{record["kB_wrtn"] }} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

</ng-container>
<ng-template #loader>
  <p>No data yet</p>
</ng-template>
